package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ClienteFidelidad;

public class RenderClienteFidelidade implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ClienteFidelidad clienteFidelidad = (ClienteFidelidad) o;

		Listcell lc = new Listcell(clienteFidelidad.getClienteFidelidadId() == null ? "-" : clienteFidelidad.getClienteFidelidadId().toString());
		lc.setParent(lstm);
		
		if(clienteFidelidad.getTarjetaFidelidad() != null){
			lc = new Listcell(clienteFidelidad.getTarjetaFidelidad().getNumTarjeta().toString());
		}else{
			lc = new Listcell("-");
		}		
		lc.setParent(lstm);

		lc = new Listcell(clienteFidelidad.getEmpresa().getNombempresa());
		lc.setParent(lstm);
	
		lstm.setAttribute("data", clienteFidelidad);

	}	
}
